#include "xc.h"

#define SYSTEM_CLOCK 32000000UL

#include "LTlib.h"

#include "HW_mini_Sensing_PIC_Board.h"
#include "HW_mini_Sensing_USB.h"

#include "module_IO.h"  
#include "module_IO.c" 

#include "LTlib_delay.h"
#include "LTlib_delay.c"


int main (void){
    
    IO_set_all_ports_as_inputs ();
    
    //Set LED as output
    P6_DIR = SET_AS_OUTPUT;
    P7_DIR = SET_AS_OUTPUT;
    P15_DIR = SET_AS_OUTPUT;
    P16_DIR = SET_AS_OUTPUT;
    
    //Set SW pins as inputs
    P4_DIR = SET_AS_INPUT;
    P3_DIR = SET_AS_INPUT;

    delay_set_quartz(32);

    while (1){
 
        if (P4_IN == BUTTON_PRESSED){
            P6_OUT = LED_ON;
            P7_OUT = LED_ON; 
        } else {
            P6_OUT = LED_OFF;
            P7_OUT = LED_OFF; 
        }
        
        if (P3_IN == BUTTON_PRESSED){
            P15_OUT = LED_ON;
            P16_OUT = LED_ON; 
        } else {
            P15_OUT = LED_OFF;
            P16_OUT = LED_OFF; 
        }
        
    }    
}


